Bug 211708 - Speed-up computation of retained sizes #2
Speed-up computation of retained sizes #2
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Hurka
issues@profiler
bugdb_13600505
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 12:04 UTC by Jiri Sedlacek
Modified: 2012-09-27 15:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-04-25 12:04:16 UTC
See the related bugdb for details & heap dump. Took more than 1hour to compute retained sizes using quite powerful Linux x64 box.
Comment 1 Tomas Hurka 2012-05-15 12:31:56 UTC
Fixed in profiler-main. Computation now takes around 6 minutes.

changeset:   221673:b804042ef451
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue May 15 14:24:03 2012 +0200
summary:     bugfix #211708, use additionalIds list to shorten number of computeOneLevel() invocations
Comment 2 Quality Engineering 2012-05-21 17:16:21 UTC
Integrated into 'main-golden', will be available in build *201205211038* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b804042ef451
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #211708, use additionalIds list to shorten number of computeOneLevel() invocations
Comment 3 Quality Engineering 2012-05-22 16:31:34 UTC
Integrated into 'main-golden', will be available in build *201205220903* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b804042ef451
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #211708, use additionalIds list to shorten number of computeOneLevel() invocations


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo